<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Bank extends Model
{

    protected $table = 'banks';
    public $timestamps = true;
    protected $fillable = array('bank_name', 'account_name', 'account_number', 'iban_number', 'image');

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/banks/';
        $filename = '3331' . time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }

    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/banks/') . '/' . $this->attributes['image'];
        }
        return " ";
    }
    public function deleteImage()
    {
        @unlink(public_path('images/banks/' . $this->attributes['image']));
    }
}
