<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateOffersTable extends Migration {

	public function up()
	{
		Schema::create('offers', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->integer('order_id')->unsigned();
			$table->integer('worker_id')->unsigned();
			$table->string('price', 191)->nullable();
			$table->text('comment')->nullable();
			$table->enum('status', array('approve', 'decline','waiting'))->nullable();
		});
	}

	public function down()
	{
		Schema::drop('offers');
	}
}
