<?php

namespace App\Models;

use App\User;
use Illuminate\Database\Eloquent\Model;

class UserToken extends Model
{

    protected $table = 'tokens';
    public $timestamps = true;
    protected $fillable = array('token', 'user_id', 'status', 'device_type');

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

}
