@extends('admin.layout.master')
@section('title', 'تعديل البيانات للعميل')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">تعديل البيانات للعميل</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">تعديل البيانات</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('users.update',$row->id)}}" enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')



                            <div class="form-group">
                                <label for="exampleInputEmail1">تغيير الحالة</label>
                              <select name="status" required class="form-control">
                                  <option value="active" {{$row->status == 'active' ? 'selected':''}}>مفعل</option>
                                  <option value="not_active" {{$row->status == 'not_active' ? 'selected':''}}>غير مفعل</option>

                              </select>
                                @if ($errors->has('status'))
                                    <small class="text-danger">{{ $errors->first('status') }}</small>
                                @endif
                            </div>






                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
